nand_read_page_hwecc
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_read_page_hwecc — [REPLACABLE] hardware ecc based page read function

## Synopsis

`int nand_read_page_hwecc (` | struct mtd_info * | mtd,
| struct nand_chip * | chip,
| uint8_t * | buf`)`;

## Arguments

`mtd`

  mtd info structure

`chip`

  nand chip info structure

`buf`

  buffer to store read data

## Description

Not for syndrome calculating ecc controllers which need a special oob layout

Prev | Up | Next
nand_read_page_swecc | Home | nand_read_page_syndrome